diff --git a/ports/sysdeps/unix/sysv/linux/aarch64/getcontext.S b/ports/sysdeps/unix/sysv/linux/aarch64/getcontext.S
index eea6867..c370957 100644
--- a/ports/sysdeps/unix/sysv/linux/aarch64/getcontext.S
+++ b/ports/sysdeps/unix/sysv/linux/aarch64/getcontext.S
@@ -53,6 +53,10 @@ ENTRY(__getcontext)
 	mov	x2, sp
 	str     x2, [x0, oSP]
 
+	/* Initialize the pstate.  */
+	mov	x3, #0
+	str	x3, [x0, oPSTATE]
+
 	/* Figure out where to place the first context extension
 	   block.  */
 	add     x2, x0, #oEXTENSION
diff --git a/ports/sysdeps/unix/sysv/linux/aarch64/ucontext_i.sym b/ports/sysdeps/unix/sysv/linux/aarch64/ucontext_i.sym
index 1afff78..ab3930c 100644
--- a/ports/sysdeps/unix/sysv/linux/aarch64/ucontext_i.sym
+++ b/ports/sysdeps/unix/sysv/linux/aarch64/ucontext_i.sym
@@ -37,6 +37,7 @@ STACK_FLAGS			stack (ss_flags)
 oX0				mcontext (regs)
 oSP				mcontext (sp)
 oPC				mcontext (pc)
+oPSTATE				mcontext (pstate)
 oEXTENSION                      mcontext (__reserved)
 
 #define fpsimd_context(member)  offsetof (struct fpsimd_context, member)
